Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticPasswordFieldUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              javax.swing.plaf.basic.BasicTextUI
                  javax.swing.plaf.basic.BasicTextFieldUI
                      javax.swing.plaf.basic.BasicPasswordFieldUI
                          com.jgoodies.looks.plastic.PlasticPasswordFieldUI

All Implemented Interfaces:
  ViewFactory

    public final class PlasticPasswordFieldUI

extends BasicPasswordFieldUI

The JGoodies PlasticXP Look&Feel implementation of a password field UI delegate. It differs from its superclass in that it utilizes a password view that renders the UIManager's echo char, not a star ("*"). Used in Java 1.4 and Java 5 only.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`PlasticPasswordFieldUI()`

Method Summary
`View` | `create(Element elem)` Creates and returns a view (an `ExtPasswordView`) for an element.
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a `JPasswordField`.

Methods inherited from class javax.swing.plaf.basic.BasicPasswordFieldUI
`getPropertyPrefix`

Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI
`installUI, propertyChange`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticPasswordFieldUI

    public PlasticPasswordFieldUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for a `JPasswordField`.

  Parameters:
    `c` - the password field component
  Returns:
    the UI

### create

    public View create(Element elem)

  Creates and returns a view (an `ExtPasswordView`) for an element.

  Specified by:
    `create` in interface `ViewFactory`
  Overrides:
    `create` in class `BasicPasswordFieldUI`
  Parameters:
    `elem` - the element
  Returns:
    the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.